Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Newer
Older
100644 32 lines (28 sloc) 1.097 kb
e9dea700 » qrush
2009-03-11 Adding ginger scenario so rails 2.2.2 and 2.3.1 can be tested at the …
1 require 'ginger'
2
37996e01 » qrush
2009-03-11 Adding 2.0.2 and 2.1.2 to ginger
3 def create_scenario(version)
4 scenario = Ginger::Scenario.new
5 scenario[/^active_?support$/] = version
6 scenario[/^active_?record$/] = version
7 scenario[/^action_?pack$/] = version
8 scenario[/^action_?controller$/] = version
9 scenario
10 end
e9dea700 » qrush
2009-03-11 Adding ginger scenario so rails 2.2.2 and 2.3.1 can be tested at the …
11
37996e01 » qrush
2009-03-11 Adding 2.0.2 and 2.1.2 to ginger
12 Ginger.configure do |config|
13 config.aliases["active_record"] = "activerecord"
14 config.aliases["active_support"] = "activesupport"
15 config.aliases["action_controller"] = "actionpack"
e9dea700 » qrush
2009-03-11 Adding ginger scenario so rails 2.2.2 and 2.3.1 can be tested at the …
16
00770fac » qrush
2009-06-09 Adding support for Rails 1.2.6
17 rails_1_2_6 = Ginger::Scenario.new
18 rails_1_2_6[/^active_?support$/] = "1.4.4"
19 rails_1_2_6[/^active_?record$/] = "1.15.6"
20 rails_1_2_6[/^action_?pack$/] = "1.13.6"
21 rails_1_2_6[/^action_?controller$/] = "1.13.6"
22
23 config.scenarios << rails_1_2_6
37996e01 » qrush
2009-03-11 Adding 2.0.2 and 2.1.2 to ginger
24 config.scenarios << create_scenario("2.0.2")
25 config.scenarios << create_scenario("2.1.2")
26 config.scenarios << create_scenario("2.2.2")
5eed8237 » qrush
2009-03-16 Bumping Rails 2.3 version for ginger scenario
27 config.scenarios << create_scenario("2.3.2")
2852f432 » Joe Ferris
2009-09-16 Added ginger scenarios for newer Rails versions
28 # Rails 2.3.3 has broken params filtering
29 # config.scenarios << create_scenario("2.3.3")
30 config.scenarios << create_scenario("2.3.4")
0c8f9dd2 » jasonm
2010-01-15 Add a Ginger scenario to verify the notifier works with Rails 2.3.5
31 config.scenarios << create_scenario("2.3.5")
e9dea700 » qrush
2009-03-11 Adding ginger scenario so rails 2.2.2 and 2.3.1 can be tested at the …
32 end
Something went wrong with that request. Please try again.